// Copyright 2022 schukai GmbH
// SPDX-License-Identifier: AGPL-3.0

package configuration

import "path"

type pathInterface interface {
	String() string
	Dir() string
	Ext() string
	Base() string
}

type PathValue string

func (p PathValue) Dir() string {
	return path.Dir(string(p))
}

func (p PathValue) Ext() string {
	return path.Ext(string(p))
}

func (p PathValue) String() string {
	return string(p)
}

func (p PathValue) Base() string {
	return path.Base(string(p))
}
